<div class="page page-profile">
    <div class="row col-md-12" style="margin-bottom: 4rem;">
        <md-tabs md-dynamic-height md-swipe-content md-no-ink-bar style="margin: 2rem 1rem;" >
            <md-tab id="profile" style="margin-top: 22rem;">
                <md-tab-label>
                    <div class="mobile-tab-title">
                        <span data-translate="PROFILE"></span>
                    </div>
                </md-tab-label>
                <md-tab-body>
                    <div ng-controller="ProfileController as vm">
                        <form name="formEditCurrentUser" class="form-horizontal form-validation" ng-submit="vm.submitForm()">
                            <div class="col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-6 col-sm-offset-3">
                                <div class="form-group">
                                    <div class="col-sm-3 col-md-3 col-sm-3">
                                        <label for=""> Primeiro Nome </span> </label>
                                    </div>
                                    <div class="col-sm-9 col-md-9 col-sm-9">
                                        <input  type="text"
                                                name="name"
                                                class="form-control"
                                                ng-model="vm.currentUser.name"
                                                required>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3">
                                        <label for=""> <span data-translate="EMAIL"></span> </label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input  disabled
                                                class="form-control"
                                                ng-model="vm.currentUser.email"
                                                required>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3">
                                        <label for=""> <span data-translate="COMPANY"></span> </label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input  type="text"
                                                class="form-control"
                                                ng-model="vm.currentUser.company">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3">
                                        <label for=""> <span data-translate="PASSWORD"></span> </label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input  type="password"
                                                class="form-control"
                                                ng-model="vm.currentUser.password">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3">
                                        <label> <span data-translate="CONFIRM_THE_PASSWORD"></span> </label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input  type="password"
                                                class="form-control"
                                                ng-model="vm.currentUser.confirmPassword"
                                                data-match="vm.currentUser.password">
                                    </div>
                                </div>
                                <div class="form-group" style="margin: 0;">
                                    <button type="submit"
                                            ui-wave
                                            class="btn btn-primary btn-block"
                                            data-ng-disabled="!vm.canSubmit()"> <span data-translate="SAVE"></span>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </md-tab-body>
            </md-tab>
            <md-tab>
                <md-tab-label>
                    <div class="mobile-tab-title">
                        Plano
                    </div>
                </md-tab-label>
                <md-tab-body>
                    <div ng-controller="PaymentController as vm" ng-init="collapsePaymentForm = true;">
                        <div class="row col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-6 col-sm-offset-3">
                            <h4> Plano Atual: </h4>
                            <h3 class="text-center"> Assinatura - {{ vm.currentUser.plan  }} </h3>
                            <div class="space"></div>

                            <div ng-hide="vm.currentUser.trial">
                                <h4> Forma de Pagamento: </h4>
                                <h5 class="text-center"
                                style="border-radius: 5px; border: 1px solid lightgray;">
                                    <span>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'Visa'"             class="fa fa-cc-visa fa-lg" aria-hidden="true"></i>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'American Express'" class="fa fa-cc-amex fa-lg" aria-hidden="true"></i>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'Diners Club'"      class="fa fa-cc-diners-club fa-lg" aria-hidden="true"></i>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'Discover'"         class="fa fa-cc-discover fa-lg" aria-hidden="true"></i>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'JCB'"              class="fa fa-cc-jcb fa-lg" aria-hidden="true"></i>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'MasterCard'"       class="fa fa-cc-mastercard fa-lg" aria-hidden="true"></i>
                                        <i ng-if="vm.paymentCustomer.sources.data[0].brand === 'Unknown'"          class="fa fa-credit-card-alt fa-lg" aria-hidden="true"></i>
                                    </span>
                                    **** {{ vm.paymentCustomer.sources.data[0].last4 }} &nbsp&nbsp
                                    Expira em: {{ vm.paymentCustomer.sources.data[0].exp_month }} / {{ vm.paymentCustomer.sources.data[0].exp_year }}
                                    <md-button class="md-icon-button edit"
                                               aria-label="Alterar cartão."
                                               ng-click="vm.updateCard()"
                                               tooltip-placement="right"
                                               tooltip-class="customClass"
                                               uib-tooltip="Alterar"
                                               tooltip-append-to-body="true"
                                               tooltip-class="customClass">
                                        <span><i class="zmdi zmdi-edit zmdi-hc-lg"></i></span>
                                    </md-button>
                                </h5>
                            </div>

                            <div class="divider"></div>

                            <div class="form-group
                                        col-lg-4 col-lg-offset-4
                                        col-md-4 col-md-offset-4
                                        col-sm-4 col-sm-offset-4
                                        col-xs-4 col-xs-offset-4"
                                 ng-hide="!vm.currentUser.trial">
                                <button class="btn btn-primary btn-block" style="border-radius: 4px;"
                                        ng-click="vm.subscription()">
                                    Assinar
                                </button>
                            </div>


                        </div>

                        <div class="divider"></div>
                        <!-- Histórico de pagamento -->
                        <div class="row col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-6 col-sm-offset-3">
                            <div class="space"></div>
                            <h4> Recibos: </h4>
                            <table class="table table-responsive no-margin table-hover">
                                <thead>
                                    <tr>
                                        <th style="width: 65%;"> Data </th>
                                        <th style="width: 30%;"> Valor R$ </th>
                                        <th style="width:  5%;"> Ver </th>
                                    </tr>
                                </thead>
                                <tbody ng-repeat="invoice in vm.paymentHistory">
                                    <tr>
                                        <!-- Data do Stripe vem em segundos, então precisa converter para milisegundos: -->
                                        <td> {{ invoice.date * 1000 | date: 'dd/MM/yyyy'}} </td>
                                        <!-- Valor do Stripe vem em centavos, então precisa converter unidade de Real: -->
                                        <td> {{ invoice.amount_paid / 100 | finance: true }} </td>
                                        <td>
                                            <section class="pull-right"  layout="row" layout-align="center">
                                                <a target="_blank" ng-href={{invoice.hosted_invoice_url}}>
                                                    <span><i class="zmdi zmdi-file-text zmdi-hc-lg"></i></span>
                                                </a>
                                            </section>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </md-tab-body>
            </md-tab>
        </md-tabs>
    </div>
</div>